Subject: bug#74074: 30.0.92; [NS] Frame position not reported on resize from top left

From: Po Lu <[email-masked]>
Date: Wed, 06 Nov 2024 20:52:05 +0800

Robert Pluim <[email-masked]> writes:

>>>>>> On Wed, 6 Nov 2024 10:31:12 +0100, martin rudalics <[email-masked]> said:
>
>     >> I see that under X11, the `move-frame-functions' are called when
>     >> resizing from the top left. I donʼt know what happens on MSWindows or
>     >> in a pgtk build.
>
>     martin> It works on MSWindows here.  IIRC pgtk doesn't care abut positions at
>     martin> all.
>
> pgtk doesnʼt let you programatically change the frame positions, but
> Iʼm assuming it still reports them <time passes> Hmm, no, it
> doesnʼt. I donʼt know if thatʼs expected or not. Po Lu?

It's expected, inasmuch as there are just no window positions under
Wayland.  Where or how to position a toplevel surface visually is
compositor policy that is not exposed to clients.